OfficeGest
Workshop/Processes/{process}/Attachments

Upload attachment to workshop process

Uploads a file attachment to the workshop process. Accepts any file type.

POST
/workshop/processes/{process}/attachments
AuthorizationBearer <token>

In: header

Path Parameters

processstring
filestring
descriptionstring

Attachment description

Lengthlength <= 255

Response Body

curl -X POST "https://og-tenant1.test:8003/api/v2/workshop/processes/string/attachments" \
  -F file="string" \
  -F description="string"
{
  "data": {
    "description": "string",
    "show_name": "string",
    "file_type": "string",
    "file_size": "string",
    "is_public": true,
    "created_at": "2019-08-24T14:15:22Z",
    "url": "string"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}